# Constant Field Values

## Contents

- org.springframework.*

## org.springframework.*

org.springframework.cache.config.CacheManagementConfigUtils
Modifier and Type
Constant Field
Value
`public static final String`
`CACHE_ADVISOR_BEAN_NAME`
`"org.springframework.cache.config.internalCacheAdvisor"`
`public static final String`
`CACHE_ASPECT_BEAN_NAME`
`"org.springframework.cache.config.internalCacheAspect"`
`public static final String`
`JCACHE_ADVISOR_BEAN_NAME`
`"org.springframework.cache.config.internalJCacheAdvisor"`
`public static final String`
`JCACHE_ASPECT_BEAN_NAME`
`"org.springframework.cache.config.internalJCacheAspect"`

org.springframework.cache.interceptor.CacheAspectSupport
Modifier and Type
Constant Field
Value
`public static final String`
`IGNORE_REACTIVESTREAMS_PROPERTY_NAME`
`"spring.cache.reactivestreams.ignore"`

org.springframework.context.ConfigurableApplicationContext
Modifier and Type
Constant Field
Value
`public static final String`
`APPLICATION_STARTUP_BEAN_NAME`
`"applicationStartup"`
`public static final String`
`BOOTSTRAP_EXECUTOR_BEAN_NAME`
`"bootstrapExecutor"`
`public static final String`
`CONFIG_LOCATION_DELIMITERS`
`",; \t\n"`
`public static final String`
`CONVERSION_SERVICE_BEAN_NAME`
`"conversionService"`
`public static final String`
`ENVIRONMENT_BEAN_NAME`
`"environment"`
`public static final String`
`LOAD_TIME_WEAVER_BEAN_NAME`
`"loadTimeWeaver"`
`public static final String`
`SHUTDOWN_HOOK_THREAD_NAME`
`"SpringContextShutdownHook"`
`public static final String`
`SYSTEM_ENVIRONMENT_BEAN_NAME`
`"systemEnvironment"`
`public static final String`
`SYSTEM_PROPERTIES_BEAN_NAME`
`"systemProperties"`
org.springframework.context.SmartLifecycle
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_PHASE`
`2147483647`

org.springframework.context.annotation.AdviceModeImportSelector<A extends Annotation>
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ADVICE_MODE_ATTRIBUTE_NAME`
`"mode"`
org.springframework.context.annotation.AnnotationConfigUtils
Modifier and Type
Constant Field
Value
`public static final String`
`AUTOWIRED_ANNOTATION_PROCESSOR_BEAN_NAME`
`"org.springframework.context.annotation.internalAutowiredAnnotationProcessor"`
`public static final String`
`COMMON_ANNOTATION_PROCESSOR_BEAN_NAME`
`"org.springframework.context.annotation.internalCommonAnnotationProcessor"`
`public static final String`
`CONFIGURATION_ANNOTATION_PROCESSOR_BEAN_NAME`
`"org.springframework.context.annotation.internalConfigurationAnnotationProcessor"`
`public static final String`
`CONFIGURATION_BEAN_NAME_GENERATOR`
`"org.springframework.context.annotation.internalConfigurationBeanNameGenerator"`
`public static final String`
`EVENT_LISTENER_FACTORY_BEAN_NAME`
`"org.springframework.context.event.internalEventListenerFactory"`
`public static final String`
`EVENT_LISTENER_PROCESSOR_BEAN_NAME`
`"org.springframework.context.event.internalEventListenerProcessor"`
`public static final String`
`PERSISTENCE_ANNOTATION_PROCESSOR_BEAN_NAME`
`"org.springframework.context.annotation.internalPersistenceAnnotationProcessor"`
org.springframework.context.annotation.ClassPathScanningCandidateComponentProvider
Modifier and Type
Constant Field
Value
`public static final String`
`IGNORE_CLASSFORMAT_PROPERTY_NAME`
`"spring.classformat.ignore"`

org.springframework.context.aot.AbstractAotProcessor<T>
Modifier and Type
Constant Field
Value
`public static final String`
`AOT_PROCESSING`
`"spring.aot.processing"`

org.springframework.context.expression.StandardBeanExpressionResolver
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_EXPRESSION_PREFIX`
`"#{"`
`public static final String`
`DEFAULT_EXPRESSION_SUFFIX`
`"}"`
`public static final String`
`MAX_SPEL_EXPRESSION_LENGTH_PROPERTY_NAME`
`"spring.context.expression.maxLength"`

org.springframework.context.index.CandidateComponentsIndexLoader
Modifier and Type
Constant Field
Value
`public static final String`
`COMPONENTS_RESOURCE_LOCATION`
`"META-INF/spring.components"`
`public static final String`
`IGNORE_INDEX`
`"spring.index.ignore"`

org.springframework.context.support.AbstractApplicationContext
Modifier and Type
Constant Field
Value
`public static final String`
`APPLICATION_EVENT_MULTICASTER_BEAN_NAME`
`"applicationEventMulticaster"`
`public static final String`
`LIFECYCLE_PROCESSOR_BEAN_NAME`
`"lifecycleProcessor"`
`public static final String`
`MESSAGE_SOURCE_BEAN_NAME`
`"messageSource"`
org.springframework.context.support.DefaultLifecycleProcessor
Modifier and Type
Constant Field
Value
`public static final String`
`CHECKPOINT_PROPERTY_NAME`
`"spring.context.checkpoint"`
`public static final String`
`EXIT_PROPERTY_NAME`
`"spring.context.exit"`
`public static final String`
`ON_REFRESH_VALUE`
`"onRefresh"`
org.springframework.context.support.PropertySourcesPlaceholderConfigurer
Modifier and Type
Constant Field
Value
`public static final String`
`ENVIRONMENT_PROPERTIES_PROPERTY_SOURCE_NAME`
`"environmentProperties"`
`public static final String`
`LOCAL_PROPERTIES_PROPERTY_SOURCE_NAME`
`"localProperties"`

org.springframework.context.weaving.AspectJWeavingEnabler
Modifier and Type
Constant Field
Value
`public static final String`
`ASPECTJ_AOP_XML_RESOURCE`
`"META-INF/aop.xml"`

org.springframework.jmx.export.MBeanExporter
Modifier and Type
Constant Field
Value
`public static final int`
`AUTODETECT_ALL`
`3`
`public static final int`
`AUTODETECT_ASSEMBLER`
`2`
`public static final int`
`AUTODETECT_MBEAN`
`1`
`public static final int`
`AUTODETECT_NONE`
`0`

org.springframework.jmx.export.assembler.AbstractReflectiveMBeanInfoAssembler
Modifier and Type
Constant Field
Value
`protected static final int`
`ATTRIBUTE_OPERATION_VISIBILITY`
`4`
`protected static final String`
`FIELD_CLASS`
`"class"`
`protected static final String`
`FIELD_CURRENCY_TIME_LIMIT`
`"currencyTimeLimit"`
`protected static final String`
`FIELD_DEFAULT`
`"default"`
`protected static final String`
`FIELD_DISPLAY_NAME`
`"displayName"`
`protected static final String`
`FIELD_GET_METHOD`
`"getMethod"`
`protected static final String`
`FIELD_LOG`
`"log"`
`protected static final String`
`FIELD_LOG_FILE`
`"logFile"`
`protected static final String`
`FIELD_METRIC_CATEGORY`
`"metricCategory"`
`protected static final String`
`FIELD_METRIC_TYPE`
`"metricType"`
`protected static final String`
`FIELD_PERSIST_LOCATION`
`"persistLocation"`
`protected static final String`
`FIELD_PERSIST_NAME`
`"persistName"`
`protected static final String`
`FIELD_PERSIST_PERIOD`
`"persistPeriod"`
`protected static final String`
`FIELD_PERSIST_POLICY`
`"persistPolicy"`
`protected static final String`
`FIELD_ROLE`
`"role"`
`protected static final String`
`FIELD_SET_METHOD`
`"setMethod"`
`protected static final String`
`FIELD_UNITS`
`"units"`
`protected static final String`
`FIELD_VISIBILITY`
`"visibility"`
`protected static final String`
`ROLE_GETTER`
`"getter"`
`protected static final String`
`ROLE_OPERATION`
`"operation"`
`protected static final String`
`ROLE_SETTER`
`"setter"`

org.springframework.jmx.export.naming.IdentityNamingStrategy
Modifier and Type
Constant Field
Value
`public static final String`
`HASH_CODE_KEY`
`"hashCode"`
`public static final String`
`TYPE_KEY`
`"type"`

org.springframework.jmx.support.ConnectorServerFactoryBean
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_SERVICE_URL`
`"service:jmx:jmxmp://localhost:9875"`
org.springframework.jmx.support.JmxUtils
Modifier and Type
Constant Field
Value
`public static final String`
`IDENTITY_OBJECT_NAME_KEY`
`"identity"`

org.springframework.jndi.JndiLocatorDelegate
Modifier and Type
Constant Field
Value
`public static final String`
`IGNORE_JNDI_PROPERTY_NAME`
`"spring.jndi.ignore"`
org.springframework.jndi.JndiLocatorSupport
Modifier and Type
Constant Field
Value
`public static final String`
`CONTAINER_PREFIX`
`"java:comp/env/"`

org.springframework.scheduling.annotation.AsyncAnnotationBeanPostProcessor
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_TASK_EXECUTOR_BEAN_NAME`
`"taskExecutor"`
org.springframework.scheduling.annotation.Scheduled
Modifier and Type
Constant Field
Value
`public static final String`
`CRON_DISABLED`
`"-"`
org.springframework.scheduling.annotation.ScheduledAnnotationBeanPostProcessor
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_TASK_SCHEDULER_BEAN_NAME`
`"taskScheduler"`

org.springframework.scheduling.concurrent.ExecutorConfigurationSupport
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_PHASE`
`1073741823`
org.springframework.scheduling.concurrent.SimpleAsyncTaskScheduler
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_PHASE`
`1073741823`

org.springframework.scheduling.config.ScheduledTaskRegistrar
Modifier and Type
Constant Field
Value
`public static final String`
`CRON_DISABLED`
`"-"`
org.springframework.scheduling.config.TaskManagementConfigUtils
Modifier and Type
Constant Field
Value
`public static final String`
`ASYNC_ANNOTATION_PROCESSOR_BEAN_NAME`
`"org.springframework.context.annotation.internalAsyncAnnotationProcessor"`
`public static final String`
`ASYNC_EXECUTION_ASPECT_BEAN_NAME`
`"org.springframework.scheduling.config.internalAsyncExecutionAspect"`
`public static final String`
`SCHEDULED_ANNOTATION_PROCESSOR_BEAN_NAME`
`"org.springframework.context.annotation.internalScheduledAnnotationProcessor"`
org.springframework.scheduling.config.TaskSchedulerRouter
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_TASK_SCHEDULER_BEAN_NAME`
`"taskScheduler"`

org.springframework.scripting.support.ScriptFactoryPostProcessor
Modifier and Type
Constant Field
Value
`public static final String`
`INLINE_SCRIPT_PREFIX`
`"inline:"`

org.springframework.ui.context.support.UiApplicationContextUtils
Modifier and Type
Constant Field
Value
`public static final String`
`THEME_SOURCE_BEAN_NAME`
`"themeSource"`

org.springframework.validation.DataBinder
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_AUTO_GROW_COLLECTION_LIMIT`
`256`
`public static final String`
`DEFAULT_OBJECT_NAME`
`"target"`
org.springframework.validation.DefaultBindingErrorProcessor
Modifier and Type
Constant Field
Value
`public static final String`
`MISSING_FIELD_ERROR_CODE`
`"required"`
org.springframework.validation.DefaultMessageCodesResolver
Modifier and Type
Constant Field
Value
`public static final String`
`CODE_SEPARATOR`
`"."`
org.springframework.validation.Errors
Modifier and Type
Constant Field
Value
`public static final String`
`NESTED_PATH_SEPARATOR`
`"."`